[arch-commits] Commit in artwiz-fonts/trunk (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Fri Jul 30 17:15:17 EDT 2010


    Date: Friday, July 30, 2010 @ 17:15:17
  Author: andyrtr
Revision: 86372

upgpkg: artwiz-fonts 1.3-6
add german and swedish fonts adding some letters like Umlauts needed for certain locale settings

Modified:
  artwiz-fonts/trunk/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-07-30 19:41:28 UTC (rev 86371)
+++ PKGBUILD	2010-07-30 21:15:17 UTC (rev 86372)
@@ -4,19 +4,25 @@
 
 pkgname=artwiz-fonts
 pkgver=1.3
-pkgrel=5
+pkgrel=6
 pkgdesc="This is set of (improved) artwiz fonts."
 arch=('any')
 url="http://artwizaleczapka.sourceforge.net/"
 license=('GPL2')
 depends=('xorg-fonts-encodings' 'xorg-font-utils' 'fontconfig')
 install=artwiz-fonts.install
-source=(http://downloads.sourceforge.net/sourceforge/artwizaleczapka/artwiz-aleczapka-en-${pkgver}.tar.bz2)
-md5sums=('6c6c704f2f08f9d6308d366423dfa90e')
+source=(http://downloads.sourceforge.net/sourceforge/artwizaleczapka/artwiz-aleczapka-en-${pkgver}.tar.bz2
+	http://downloads.sourceforge.net/sourceforge/artwizaleczapka/artwiz-aleczapka-de-${pkgver}.tar.bz2
+	http://downloads.sourceforge.net/sourceforge/artwizaleczapka/artwiz-aleczapka-se-${pkgver}.tar.bz2)
+md5sums=('6c6c704f2f08f9d6308d366423dfa90e'
+         'c5a9d0ad3d1b99809c77d84139949993'
+         'dfc861c4f54e73eea3fd82d60be26dbc')
 
-build() {
-  cd ${srcdir}/artwiz-aleczapka-en-${pkgver}
+package() {
+  cd ${srcdir}
   install -d ${pkgdir}/usr/share/fonts/artwiz-fonts
-  install -m644 *.pcf ${pkgdir}/usr/share/fonts/artwiz-fonts/ || return 1
-  install -m644 fonts.alias ${pkgdir}/usr/share/fonts/artwiz-fonts/ || return 1
+  for lang in en de se; do
+     install -p -m 0644 artwiz-aleczapka-$lang-${pkgver}/*.pcf ${pkgdir}/usr/share/fonts/artwiz-fonts
+     cat artwiz-aleczapka-$lang-${pkgver}/fonts.alias >> ${pkgdir}/usr/share/fonts/artwiz-fonts/fonts.alias || return 1
+  done
 }



More information about the arch-commits mailing list